Subject: bug#59935: 29.0.60; project-list-buffers is slow

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Dec 2022 19:27:57 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  [email-masked]
> Date: Mon, 12 Dec 2022 19:16:22 +0200
> 
> >> I don't like that idea because we'll leave an unproven new feature in
> >> the codebase, without any known callers or requestors.
> >
> > Neither do I.  But this is a price to pay for coming this late with
> > changes in interfaces that are needed to make commands faster, and we
> > cannot wait.  If this came up half a year ago, we wouldn't be having
> > this conversation.
> 
> Ok, then here is the patch for emacs-29:
> 
> diff --git a/etc/NEWS b/etc/NEWS
> index 233ef3f5729..2e5bb40c972 100644
> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -3437,6 +3437,10 @@ The following generalized variables have been made obsolete:
>  
>  * Lisp Changes in Emacs 29.1
>  
> +---
> +** The argument FILTER-PREDICATE of 'list-buffers-noselect' is obsolete now.
> +It will be removed in next versions.
> +
>  +++
>  ** Interpreted closures are "safe for space".
>  As was already the case for byte-compiled closures, instead of capturing

I thought we wanted to make the command faster in Emacs 29.  I very
much doubt that deprecation of an argument will have that effect.

I'm also not sure I agree with obsoleting and removing that argument.
We don't have enough justification for that, not yet.  That it was
introduced for a particular use case, and that use case no longer uses
it, doesn't mean there won't be others.  After all, we don't introduce
additional arguments unless we think it will be useful in more than
one case.